package it.unibo.tw0708.web.datamodel.sorting.comparators;

import it.unibo.tw0708.web.datamodel.CdModel;
import it.unibo.tw0708.web.datamodel.sorting.SortableDataModel;

import java.util.Comparator;

public class UpByYearComparator
implements Comparator {

     public int compare(Object o1, Object o2) {
      	SortableDataModel.Row cd_1 = (SortableDataModel.Row) o1;
     	SortableDataModel.Row cd_2 = (SortableDataModel.Row) o2;
     	int year1 = ((CdModel)cd_1.getRowData()).getData().getYear();
     	int year2 = ((CdModel)cd_2.getRowData()).getData().getYear();
     	return year1 - year2;
     }

}
