<html>
   <%@ taglib uri="http://java.sun.com/jsf/core" prefix="f" %>
   <%@ taglib uri="http://java.sun.com/jsf/html" prefix="h" %>
	
   <f:view>
	<f:loadBundle basename="album.Messages" var="msg"/>
    
    <head>                  
        <title>${msg.pagetitleadd}</title>
		<link rel="stylesheet" href="<%= request.getContextPath() %>/styles/default.css" type="text/css"/>
		<link rel="stylesheet" href="<%= request.getContextPath() %>/styles/main.css" type="text/css"/>
     </head> 
    
      <body onload="document.getElementById('add').style.backgroundColor='#aaa';">

		<%@ include file="../fragments/menu" %>

		<div id="content">
      
         <h:form>

			<h:outputText value="#{msg.owner} = #{user.name}"/>
			<f:verbatim><br/></f:verbatim>
			<h:outputText value="#{msg.cdnumber} = #{manager.compactDiscs.rowCount}"/>

			<!-- ================================================================================== -->
			<f:verbatim><br/><hr/><br/></f:verbatim>
			<!-- ================================================================================== -->

			<h:panelGrid rowClasses="header,row1,row1" columns="5">

					<h:outputText value="#{msg.artist}" />

					<h:outputText value="#{msg.title}" />

					<h:outputText value="#{msg.tracks}" />

					<h:outputText value="#{msg.year}" />

					<h:outputText value="#{msg.compilation}" />

					<h:inputText value="#{manager.newCd.artist}" id="artist" required="true"/>

					<h:inputText value="#{manager.newCd.title}" id="title" required="true"/>

					<h:selectOneListbox size="1" value="#{manager.newCd.tracks}" >
						<f:selectItems value="#{manager.tracks}"/>
					</h:selectOneListbox>

					<h:selectOneListbox size="1" value="#{manager.newCd.year}" >
						<f:selectItems value="#{manager.years}"/>
					</h:selectOneListbox>

					<h:selectBooleanCheckbox value="#{manager.newCd.compilation}" rendered="#{cd.editable}"/>

					<h:message for="artist"/>

					<h:message for="title"/>

			</h:panelGrid>

			<h:commandButton action="#{manager.insertCompactDisc}" value="#{msg.add}"/>

         </h:form>

		</div>
		
		<%@ include file="../fragments/footer" %>

      </body>
   </f:view>
</html>