<html>
   <%@ taglib uri="http://java.sun.com/jsf/core" prefix="f" %>
   <%@ taglib uri="http://java.sun.com/jsf/html" prefix="h" %>
	
   <f:view>
	<f:loadBundle basename="login.Messages" var="msg"/>
    
    <head>                  
        <title>${msg.wrongpasswd}</title>
		<link rel="stylesheet" href="<%= request.getContextPath() %>/styles/default.css" type="text/css"/>
		<link rel="stylesheet" href="<%= request.getContextPath() %>/styles/home.css" type="text/css"/>
     </head> 
    
      <body>
      
      	<div id="err">
      	
         <h:form>
			<h:outputText styleClass="header" value="#{msg.wrongpasswd}"/>
			
			<f:verbatim><br/><hr/><br/></f:verbatim>
	
			<h:commandButton value="#{msg.back_to_home}" action="home" />
	
			<f:verbatim><br/><hr/><br/></f:verbatim>
	
			<h:panelGrid columns="3">
			   <h:commandLink immediate="true" 
			      action="#{localeChanger.changeLocaleToEnglish}">
			      <h:graphicImage value="/images/britain_flag.gif" styleClass="image"/>
			   </h:commandLink>
	
			   <h:commandLink immediate="true" 
			      action="#{localeChanger.changeLocaleToItalian}">
			      <h:graphicImage value="/images/italy_flag.gif" styleClass="image"/>
			   </h:commandLink>
	
	         <h:commandLink immediate="true" 
	            action="#{localeChanger.changeLocaleToSpanish}">
	            <h:graphicImage value="/images/spain_flag.gif" styleClass="image"/>
	         </h:commandLink>
	       </h:panelGrid>
	
         </h:form>

		</div>
		 	
 		<%@ include file="../fragments/footer" %>

      </body>
   </f:view>
</html>