<html>
   <%@ taglib uri="http://java.sun.com/jsf/core" prefix="f" %>
   <%@ taglib uri="http://java.sun.com/jsf/html" prefix="h" %>
	
   <f:view>
	<f:loadBundle basename="login.Messages" var="msg"/>
    
    <head>                  
        <title>
			<h:outputFormat value="#{msg.unexisting}">
	            <f:param value="#{user.name}"/>
	         </h:outputFormat>
        
        </title>
		<link rel="stylesheet" href="<%= request.getContextPath() %>/styles/home.css" type="text/css"/>
     </head> 
    
      <body>
      
      <div id="err">

         <h:form>
			<h:outputFormat value="#{msg.unexisting}">
	            <f:param value="#{user.name}"/>
	         </h:outputFormat>
			
			<f:verbatim><br/><hr/><br/></f:verbatim>
	
			<h:commandButton value="#{msg.back_to_home}" action="home" />
			<f:verbatim>&nbsp;</f:verbatim>
			<h:commandButton value="#{msg.create_proposal}" action="#{user.createNew}" />
	
			<f:verbatim><br/><hr/><br/></f:verbatim>
	
			<h:panelGrid columns="3">
			   <h:commandLink immediate="true" 
			      action="#{localeChanger.changeLocaleToEnglish}">
			      <h:graphicImage value="/images/britain_flag.gif" styleClass="image"/>
			   </h:commandLink>
	
			   <h:commandLink immediate="true" 
			      action="#{localeChanger.changeLocaleToItalian}">
			      <h:graphicImage value="/images/italy_flag.gif" styleClass="image"/>
			   </h:commandLink>
	
	         <h:commandLink immediate="true" 
	            action="#{localeChanger.changeLocaleToSpanish}">
	            <h:graphicImage value="/images/spain_flag.gif" styleClass="image"/>
	         </h:commandLink>
	       </h:panelGrid>
	
         </h:form>
         
         </div>

		<%@ include file="../fragments/footer" %>

      </body>
   </f:view>
</html>