package it.unibo.tw0708.web.datamodel.sorting.comparators;

import it.unibo.tw0708.web.datamodel.CdModel;
import it.unibo.tw0708.web.datamodel.sorting.SortableDataModel;

import java.util.Comparator;

public class UpByTitleComparator
implements Comparator {

     public int compare(Object o1, Object o2) {
      	SortableDataModel.Row cd_1 = (SortableDataModel.Row) o1;
     	SortableDataModel.Row cd_2 = (SortableDataModel.Row) o2;
     	String title1 = ((CdModel)cd_1.getRowData()).getData().getTitle();
     	String title2 = ((CdModel)cd_2.getRowData()).getData().getTitle();
     	return title1.compareTo(title2);
     }

}
